Botan 2.13.0 Crypto and TLS for C++11

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
Botan::Cert_Extension::Authority_Key_ID Class Referencefinal

`#include <x509_ext.h>`

Inheritance diagram for Botan::Cert_Extension::Authority_Key_ID:

## Public Member Functions
| Authority_Key_ID ()=default
| Authority_Key_ID (const std::vector< uint8_t > &k)
Authority_Key_ID * | copy () const override
const std::vector< uint8_t > & | get_key_id () const
OID | oid_of () const override
virtual void | validate (const X509_Certificate &subject, const X509_Certificate &issuer, const std::vector< std::shared_ptr< const X509_Certificate >> &cert_path, std::vector< std::set< Certificate_Status_Code >> &cert_status, size_t pos)

## Static Public Member Functions
static OID | static_oid ()

## Detailed Description

Authority Key Identifier Extension

Definition at line 387 of file x509_ext.h.

## Constructor & Destructor Documentation

Botan::Cert_Extension::Authority_Key_ID::Authority_Key_ID | ( |  | ) |
| default

Botan::Cert_Extension::Authority_Key_ID::Authority_Key_ID | ( | const std::vector< uint8_t > & | k | ) |
| inline explicit

Definition at line 394 of file x509_ext.h.

394 : m_key_id(k) {}

## Member Function Documentation

Authority_Key_ID* Botan::Cert_Extension::Authority_Key_ID::copy | ( |  | ) | const
| inline override virtual

Make a copy of this extension

Returns
  copy of this

Implements Botan::Certificate_Extension.

Definition at line 390 of file x509_ext.h.

391 { return new Authority_Key_ID(m_key_id); }
Botan::Cert_Extension::Authority_Key_ID::Authority_Key_ID
Authority_Key_ID()=default

const std::vector<uint8_t>& Botan::Cert_Extension::Authority_Key_ID::get_key_id | ( |  | ) | const
| inline

Definition at line 396 of file x509_ext.h.

396 { return m_key_id; }

OID Botan::Cert_Extension::Authority_Key_ID::oid_of | ( |  | ) | const
| inline override virtual

Returns
  OID representing this extension

Implements Botan::Certificate_Extension.

Definition at line 399 of file x509_ext.h.

399 { return static_oid(); }
Botan::Cert_Extension::Authority_Key_ID::static_oid
static OID static_oid()
Definition: x509_ext.h:398

static OID Botan::Cert_Extension::Authority_Key_ID::static_oid | ( |  | ) |
| inline static

Definition at line 398 of file x509_ext.h.

398 { return OID("2.5.29.35"); }

void Botan::Certificate_Extension::validate | ( | const X509_Certificate & | subject,
|  | const X509_Certificate & | issuer,
|  | const std::vector< std::shared_ptr< const X509_Certificate >> & | cert_path,
|  | std::vector< std::set< Certificate_Status_Code >> & | cert_status,
|  | size_t | pos
| ) |  |
| virtual inherited

Reimplemented in Botan::Cert_Extension::Unknown_Extension, Botan::Cert_Extension::Certificate_Policies, and Botan::Cert_Extension::Name_Constraints.

Definition at line 113 of file x509_ext.cpp.

117 {
118 }

The documentation for this class was generated from the following files:

- src/lib/x509/x509_ext.h
- src/lib/x509/x509_ext.cpp